import*as _ from'lodash-es';import*as React from'react';import {Table,Input,Button}from'antd';import {SearchOutlined}from'@ant-design/icons';function ImageSelectorComponent({
  images,
  loading,
  selected,
  onSelect,
  renderTagSelector,
  ...rest
}) {
  const [searchText, setSearchText] = React.useState({
    searchText: ''
  });
  const searchInput = React.useRef();
  const keys = React.useMemo(() => _.map(selected, 'id'), [selected]);
  const handleSearch = (selectedKeys, confirm) => {
    confirm();
    setSearchText({
      searchText: selectedKeys[0]
    });
  };
  const handleReset = clearFilters => {
    clearFilters();
    setSearchText({
      searchText: ''
    });
  };
  const getColumnSearchProps = dataIndex => ({
    filterDropdown: ({
      setSelectedKeys,
      selectedKeys,
      confirm,
      clearFilters
    }) => React.createElement("div", {
      style: {
        padding: 8
      }
    }, React.createElement(Input, {
      ref: searchInput,
      placeholder: `Search ${dataIndex}`,
      value: selectedKeys[0],
      onChange: e => setSelectedKeys(e.target.value ? [e.target.value] : []),
      onPressEnter: () => handleSearch(selectedKeys, confirm),
      style: {
        width: 188,
        marginBottom: 8,
        display: 'block'
      }
    }), React.createElement(Button, {
      type: "primary",
      onClick: () => handleSearch(selectedKeys, confirm),
      icon: React.createElement(SearchOutlined, null),
      size: "small",
      style: {
        width: 90,
        marginRight: 8
      }
    }, "Search"), React.createElement(Button, {
      onClick: () => handleReset(clearFilters),
      size: "small",
      style: {
        width: 90
      }
    }, "Reset")),
    filterIcon: filtered => React.createElement(SearchOutlined, {
      style: {
        color: filtered ? '#1890ff' : undefined
      }
    }),
    onFilter: (value, record) => _.get(record, dataIndex, '').toString().toLowerCase().includes(value.toLowerCase()),
    onFilterDropdownVisibleChange: visible => {
      if (visible) {
        setTimeout(() => searchInput && searchInput.current ? searchInput.current.select() : null);
      }
    },
    render: text => text
  });
  const columns = React.useMemo(() => [{
    title: 'Image',
    dataIndex: 'name',
    ...getColumnSearchProps('name')
  }, {
    title: 'Version',
    render: record => renderTagSelector(record, {
      selected: _.includes(selected, record.id)
    }) // ToDo: create component version selector
  }], []);
  return React.createElement(Table, {
    ...rest,
    rowKey: "id",
    columns: columns,
    loading: loading,
    dataSource: images,
    rowSelection: {
      onSelect,
      selectedRowKeys: keys
    }
  });
}export{ImageSelectorComponent};//# sourceMappingURL=ImageSelector.js.map
