import*as _ from'lodash-es';import*as React from'react';import {useState,useEffect}from'react';import {useFela}from'react-fela';import {Form,Row,Col,Spin,Alert,Select,Input,Button}from'antd';import {useMutation}from'@apollo/client/react/index.js';import {testConnectionDocument}from'@ops-stack/core';const {
  Item
} = Form;
const {
  Option
} = Select;
const {
  TextArea
} = Input;
const styles = {
  buttonsContainer: props => ({
    display: 'flex',
    justifyContent: 'space-between'
  })
};
const RegistryFormComponent = function RegistryFormView({
  registry = {},
  loading,
  onSubmit
}) {
  const {
    css
  } = useFela();
  const [testConnection, testResponse] = useMutation(testConnectionDocument);
  const [testResult, setTestResult] = useState(null);
  const [form] = Form.useForm();
  const providers = [{
    name: 'docker-hub',
    isSuggest: true,
    isSelector: true,
    suggestions: [{
      name: 'https://hub.docker.com',
      value: 'https://hub.docker.com'
    }]
  }, {
    name: 'docker-registry',
    isSuggest: false
  }];
  const [selected, setSelected] = useState(null);
  useEffect(() => {
    if (registry.type) {
      const sIndex = _.findIndex(providers, provider => {
        return provider.name === registry.type;
      });
      setSelected(providers[sIndex]);
    }
    form.setFieldsValue({
      credentials_type: 'login-password'
    });
  }, []);
  const submit = values => {
    onSubmit(values);
  };
  const test = e => {
    e.preventDefault();
    form.validateFields().then(values => {
      testConnection({
        variables: {
          payload: values
        }
      }).then(res => {
        if (res.data.testConnection) {
          setTestResult('success');
        } else {
          setTestResult('failed');
        }
      }).catch(error => setTestResult('failed'));
    });
  };
  const onChangeType = type => {
    const sIndex = _.findIndex(providers, provider => {
      return provider.name === type;
    });
    setSelected(providers[sIndex]);
    form.setFieldsValue({
      url: null
    });
  };
  return React.createElement(Row, null, React.createElement(Col, null, loading ? React.createElement(Spin, {
    spinning: loading
  }) : React.createElement("div", null, React.createElement("br", null), testResponse.loading ? React.createElement(Spin, {
    spinning: true
  }) : testResult === 'success' ? React.createElement(Alert, {
    message: "Test Connection Success",
    type: "success",
    closable: true
  }) : testResult === 'failed' ? React.createElement(Alert, {
    message: "Test Connection Failed",
    type: "error",
    closable: true
  }) : null, React.createElement(Form, {
    onFinish: submit
  }, React.createElement(Item, {
    name: 'type',
    label: "Provider",
    initialValue: registry.type,
    rules: [{
      required: true
    }]
  }, React.createElement(Select, {
    onChange: onChangeType
  }, _.map(providers, provider => React.createElement(Option, {
    value: provider.name,
    key: provider.name
  }, provider.name)))), React.createElement(Item, {
    name: 'name',
    label: "Name",
    initialValue: registry.name,
    rules: [{
      required: true
    }]
  }, React.createElement(Input, {
    size: "large"
  })), React.createElement(Item, {
    name: 'description',
    label: "Description",
    initialValue: registry.description,
    rules: [{
      required: true
    }]
  }, React.createElement(TextArea, {
    rows: 4
  })), React.createElement(Item, {
    name: 'url',
    label: "Url",
    initialValue: registry.url,
    rules: [{
      required: true,
      type: 'url',
      message: 'Please input url!!!'
    }]
  }, selected && selected.isSuggest && selected.isSelector ? React.createElement(Select, null, _.map(selected.suggestions, suggestion => React.createElement(Option, {
    value: suggestion.value,
    key: suggestion.value
  }, suggestion.value))) : React.createElement(Input, {
    size: "large"
  })), React.createElement("p", null, "Login Credentials:"), React.createElement(Row, {
    gutter: 8
  }, React.createElement(Col, {
    md: 12
  }, React.createElement(Item, {
    name: 'access_key',
    label: "Access ID"
  }, React.createElement(Input, {
    size: "large"
  }))), React.createElement(Col, {
    md: 12
  }, React.createElement(Item, {
    name: 'access_secret',
    label: "Access Secret"
  }, React.createElement(Input, {
    size: "large",
    type: "password"
  })))), React.createElement("div", {
    className: css(styles.buttonsContainer)
  }, React.createElement(Button, {
    size: "large",
    type: "text",
    onClick: test
  }, "Test Connection"), React.createElement(Button, {
    size: "large",
    type: "primary",
    htmlType: "submit"
  }, "Submit")))), ";"));
};export{RegistryFormComponent};//# sourceMappingURL=RegistryForm.js.map
