import*as _ from'lodash-es';import*as React from'react';import {Button,List,Modal,message}from'antd';import {useQuery,useMutation}from'@apollo/client/react/index.js';import {PlusOutlined}from'@ant-design/icons';import {getAllDockerRegistriesDocument,removeDockerRegistryDocument}from'@ops-stack/core';import'react-fela';import {RegistryCard}from'../components/RegistryCard.js';import {RegistryForm}from'./RegistryForm.js';function Registries() {
  const [modal, setModal] = React.useState(null);
  const {
    loading,
    data,
    refetch
  } = useQuery(getAllDockerRegistriesDocument);
  const [remove] = useMutation(removeDockerRegistryDocument);
  const onRemove = registry => {
    remove({
      variables: {
        id: registry.id
      }
    }).then(() => refetch()).catch(() => message.error('Can not remove registry.'));
  };
  const list = React.useMemo(() => _.get(data, 'allDockerRegistries', []), [data]);
  const save = pstring => {
    refetch();
    setModal(null);
    pstring === 'created' ? message.success('Registry creation succeed!') : message.success('Registry update succeed!');
  };
  const fail = pstring => {
    setModal(null);
    pstring === 'created' ? message.warning('Failed to create registry') : message.warning('Failed to update registry');
  };
  const close = () => setModal(null);
  const open = input => () => setModal(input);
  const error = err => message.error(err.message);
  function renderItem(item) {
    return React.createElement(List.Item, null, React.createElement(RegistryCard, {
      onRemove: onRemove,
      onEdit: setModal,
      registry: item
    }));
  }
  return React.createElement(React.Fragment, null, React.createElement("div", {
    className: "row mb-3"
  }, React.createElement("div", {
    className: "col-8 d-flex align-items-center"
  }, React.createElement("i", {
    style: {
      fontSize: '24px',
      color: '#1890ff'
    },
    className: "mr-2 fab fa-docker"
  }), React.createElement("span", {
    style: {
      fontSize: '32px',
      fontWeight: 'bold',
      color: '#333'
    }
  }, "Docker Registries")), React.createElement("div", {
    className: "col-4 text-right"
  }, React.createElement(Button, {
    type: "primary",
    icon: React.createElement(PlusOutlined, null),
    onClick: open({})
  }, "New Registry"))), React.createElement(List, {
    rowKey: "_id",
    dataSource: list,
    loading: loading,
    renderItem: renderItem,
    grid: {
      gutter: 16,
      column: 1
    }
  }), React.createElement(Modal, {
    onCancel: close,
    visible: modal,
    destroyOnClose: true,
    footer: false,
    title: null
  }, React.createElement(RegistryForm, {
    registry: modal,
    onSave: save,
    onError: error,
    onFail: fail
  })));
}export{Registries};//# sourceMappingURL=Registries.js.map
