import*as React from'react';import {useMutation}from'@apollo/client/react/index.js';import {createDockerRegistryDocument,updateDockerRegistryDocument}from'@ops-stack/core';import'lodash-es';import'antd';import'@ant-design/icons';import {RegistryFormComponent}from'../components/RegistryForm.js';function RegistryForm({
  onSave,
  onError,
  onFail,
  registry
}) {
  const [createRegistry, createResponse] = useMutation(createDockerRegistryDocument);
  const [updateRegistry, updateResponse] = useMutation(updateDockerRegistryDocument);
  const submit = payload => {
    if (registry.id) {
      updateRegistry({
        variables: {
          id: registry.id,
          payload
        }
      }).then(res => {
        res.data.updateDockerRegistry ? onSave('update') : onFail('update');
      }).catch(error => onError(error));
    } else {
      createRegistry({
        variables: {
          payload
        }
      }).then(res => {
        res.data.createDockerRegistry ? onSave('create') : onFail('create');
      }).catch(error => onError(error));
    }
  };
  return React.createElement(RegistryFormComponent, {
    onSubmit: submit,
    registry: registry,
    loading: createResponse.loading || updateResponse.loading
  });
}export{RegistryForm};//# sourceMappingURL=RegistryForm.js.map
