import*as React from'react';import {useState,useEffect}from'react';import Flat from'flat';import*as _ from'lodash-es';import*as Yaml from'yamljs';import {compose}from'redux';import Highlight from'react-highlight';import {Form,Input,Select,AutoComplete,Button}from'antd';const {
  Item
} = Form;
const {
  Group
} = Input;
const {
  Option
} = Select;
const ChartInstallationComponent = props => {
  const [form] = Form.useForm();
  const [values, setValues] = useState(false);
  useEffect(() => {
    form.setFieldsValue({
      releaseName: _.get(stack, 'releaseName'),
      chartVersion: _.get(stack, 'chartVersion'),
      env: _.values(_.get(stack, 'variables', [{}])),
      variables: _.keys(_.get(stack, 'variables', [-1])),
      type: 'MONOCULAR_STACK',
      valuesFile: _.get(chart, 'values'),
      chartName: _.get(chart, 'attributes.name'),
      repository: _.get(chart, 'attributes.repo.name')
    });
  }, []);
  const onSubmit = e => {
    e.preventDefault();
    form.validateFields().then(request => {
      onFinish(request);
    });
  };
  const onFinish = request => {
    const {
      onInstall
    } = props;
    const data = _.pick(request, ['type',
    // we don't need default valuesFile. Anything updated only needed
    // 'valuesFile',
    'chartName', 'repository', 'releaseName', 'chartVersion']);
    data.variables = _.values(request.env);
    onInstall(data);
  };
  const {
    chart,
    stack
  } = props;
  // form.getFieldDecorator('variables', { initialValue: _.range(_.get(stack, 'variables', [-1]).length) });
  // overrideSetVariables
  return React.createElement(Form, {
    form: form,
    onFinish: onFinish
  }, React.createElement(Item, {
    name: 'releaseName',
    label: "Release name",
    initialValue: _.get(stack, 'releaseName'),
    normalize: value => _.kebabCase(value),
    rules: [{
      required: true,
      message: 'Release name is required'
    }]
  }, React.createElement(Input, {
    size: "large",
    type: "text"
  }), ","), React.createElement(Item, {
    name: 'chartVersion',
    label: "Chart version",
    initialValue: _.get(stack, 'chartVersion'),
    rules: [{
      required: true,
      message: 'Chart version is required'
    }]
  }, React.createElement(Select, {
    size: "large"
  }, _.map(props.versions, 'attributes').map(record => React.createElement(Option, {
    key: record.version,
    value: record.version
  }, record.version)))), React.createElement("div", null, React.createElement("h4", null, "Chart values"), _.map(form.getFieldValue('variables'), (item, index) => React.createElement(Group, {
    size: "large",
    compact: true,
    className: "mb-3"
  }, React.createElement(Item, {
    noStyle: true,
    name: `env[${item}].field`,
    initialValue: _.get(stack, `variables[${item}].field`)
  }, React.createElement(AutoComplete, {
    size: "large",
    style: {
      width: '40%'
    },
    dataSource: _.keys(Flat(Yaml.parse(props.values) || {}))
  })), React.createElement(Item, {
    noStyle: true,
    name: `env[${item}].value`,
    initialValue: _.get(stack, `variables[${item}].value`)
  }, React.createElement(Input, {
    size: "large",
    style: {
      width: '40%'
    }
  })), React.createElement(Button, {
    size: "large",
    danger: true,
    className: "m-0",
    style: {
      width: '20%'
    },
    onClick: () => {
      form.setFieldsValue({
        variables: form.getFieldValue('variables').filter(varIndex => varIndex !== item)
      });
    }
  }, "Remove"))), React.createElement("div", {
    className: "text-right"
  }, React.createElement("a", {
    href: "javascript:void(0)",
    onClick: () => setValues(!values)
  }, values ? 'Hide' : 'View', " values.yml file"), ' | ', React.createElement("a", {
    href: "javascript:void(0)",
    onClick: () => form.setFieldsValue({
      variables: form.getFieldValue('variables').concat([Math.random()])
    })
  }, "Add value")), values ? React.createElement(Highlight, {
    style: styles.code,
    language: "yaml"
  }, React.createElement("pre", null, props.values)) : null), React.createElement("div", {
    className: "text-center"
  }, React.createElement(Button, {
    size: "large",
    type: "primary",
    className: "m-0",
    onClick: onSubmit
  }, "Submit")));
};
const styles = {
  code: props => ({
    height: '300px',
    overflowY: 'auto',
    overflowX: 'auto'
  })
};
const ChartInstallation = compose(ChartInstallationComponent);export{ChartInstallation};//# sourceMappingURL=ChartInstallation.js.map
