import * as SchemaTypes from '@ops-stack/core';
import { DocumentNode } from 'graphql';
import * as Apollo from '@apollo/client';
export declare const dockerCatalogDocument: DocumentNode;
/**
 * __usedockerCatalogQuery__
 *
 * To run a query within a React component, call `usedockerCatalogQuery` and pass it any options that fit your needs.
 * When your component renders, `usedockerCatalogQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = usedockerCatalogQuery({
 *   variables: {
 *   },
 * });
 */
export declare function usedockerCatalogQuery(baseOptions?: Apollo.QueryHookOptions<SchemaTypes.IdockerCatalogQuery, SchemaTypes.IdockerCatalogQueryVariables>): Apollo.QueryResult<SchemaTypes.IdockerCatalogQuery, SchemaTypes.Exact<{
    [key: string]: never;
}>>;
export declare function usedockerCatalogLazyQuery(baseOptions?: Apollo.LazyQueryHookOptions<SchemaTypes.IdockerCatalogQuery, SchemaTypes.IdockerCatalogQueryVariables>): Apollo.LazyQueryResultTuple<SchemaTypes.IdockerCatalogQuery, SchemaTypes.Exact<{
    [key: string]: never;
}>>;
export declare function usedockerCatalogSuspenseQuery(baseOptions?: Apollo.SkipToken | Apollo.SuspenseQueryHookOptions<SchemaTypes.IdockerCatalogQuery, SchemaTypes.IdockerCatalogQueryVariables>): Apollo.UseSuspenseQueryResult<SchemaTypes.IdockerCatalogQuery, SchemaTypes.Exact<{
    [key: string]: never;
}>>;
export type dockerCatalogQueryHookResult = ReturnType<typeof usedockerCatalogQuery>;
export type dockerCatalogLazyQueryHookResult = ReturnType<typeof usedockerCatalogLazyQuery>;
export type dockerCatalogSuspenseQueryHookResult = ReturnType<typeof usedockerCatalogSuspenseQuery>;
export type dockerCatalogQueryResult = Apollo.QueryResult<SchemaTypes.IdockerCatalogQuery, SchemaTypes.IdockerCatalogQueryVariables>;
export declare const getAllDockerRegistriesDocument: DocumentNode;
/**
 * __usegetAllDockerRegistriesQuery__
 *
 * To run a query within a React component, call `usegetAllDockerRegistriesQuery` and pass it any options that fit your needs.
 * When your component renders, `usegetAllDockerRegistriesQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = usegetAllDockerRegistriesQuery({
 *   variables: {
 *   },
 * });
 */
export declare function usegetAllDockerRegistriesQuery(baseOptions?: Apollo.QueryHookOptions<SchemaTypes.IgetAllDockerRegistriesQuery, SchemaTypes.IgetAllDockerRegistriesQueryVariables>): Apollo.QueryResult<SchemaTypes.IgetAllDockerRegistriesQuery, SchemaTypes.Exact<{
    [key: string]: never;
}>>;
export declare function usegetAllDockerRegistriesLazyQuery(baseOptions?: Apollo.LazyQueryHookOptions<SchemaTypes.IgetAllDockerRegistriesQuery, SchemaTypes.IgetAllDockerRegistriesQueryVariables>): Apollo.LazyQueryResultTuple<SchemaTypes.IgetAllDockerRegistriesQuery, SchemaTypes.Exact<{
    [key: string]: never;
}>>;
export declare function usegetAllDockerRegistriesSuspenseQuery(baseOptions?: Apollo.SkipToken | Apollo.SuspenseQueryHookOptions<SchemaTypes.IgetAllDockerRegistriesQuery, SchemaTypes.IgetAllDockerRegistriesQueryVariables>): Apollo.UseSuspenseQueryResult<SchemaTypes.IgetAllDockerRegistriesQuery, SchemaTypes.Exact<{
    [key: string]: never;
}>>;
export type getAllDockerRegistriesQueryHookResult = ReturnType<typeof usegetAllDockerRegistriesQuery>;
export type getAllDockerRegistriesLazyQueryHookResult = ReturnType<typeof usegetAllDockerRegistriesLazyQuery>;
export type getAllDockerRegistriesSuspenseQueryHookResult = ReturnType<typeof usegetAllDockerRegistriesSuspenseQuery>;
export type getAllDockerRegistriesQueryResult = Apollo.QueryResult<SchemaTypes.IgetAllDockerRegistriesQuery, SchemaTypes.IgetAllDockerRegistriesQueryVariables>;
export declare const createDockerRegistryDocument: DocumentNode;
/**
 * __usecreateDockerRegistryMutation__
 *
 * To run a mutation, you first call `usecreateDockerRegistryMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `usecreateDockerRegistryMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [createDockerRegistryMutation, { data, loading, error }] = usecreateDockerRegistryMutation({
 *   variables: {
 *      payload: // value for 'payload'
 *   },
 * });
 */
export declare function usecreateDockerRegistryMutation(baseOptions?: Apollo.MutationHookOptions<SchemaTypes.IcreateDockerRegistryMutation, SchemaTypes.IcreateDockerRegistryMutationVariables>): Apollo.MutationTuple<SchemaTypes.IcreateDockerRegistryMutation, SchemaTypes.Exact<{
    payload?: SchemaTypes.InputMaybe<SchemaTypes.IIDockerRegistry>;
}>, Apollo.DefaultContext, Apollo.ApolloCache<any>>;
export type createDockerRegistryMutationHookResult = ReturnType<typeof usecreateDockerRegistryMutation>;
export type createDockerRegistryMutationResult = Apollo.MutationResult<SchemaTypes.IcreateDockerRegistryMutation>;
export type createDockerRegistryMutationOptions = Apollo.BaseMutationOptions<SchemaTypes.IcreateDockerRegistryMutation, SchemaTypes.IcreateDockerRegistryMutationVariables>;
export declare const tagsDocument: DocumentNode;
/**
 * __usetagsQuery__
 *
 * To run a query within a React component, call `usetagsQuery` and pass it any options that fit your needs.
 * When your component renders, `usetagsQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = usetagsQuery({
 *   variables: {
 *      image: // value for 'image'
 *      registry: // value for 'registry'
 *   },
 * });
 */
export declare function usetagsQuery(baseOptions: Apollo.QueryHookOptions<SchemaTypes.ItagsQuery, SchemaTypes.ItagsQueryVariables> & ({
    variables: SchemaTypes.ItagsQueryVariables;
    skip?: boolean;
} | {
    skip: boolean;
})): Apollo.QueryResult<SchemaTypes.ItagsQuery, SchemaTypes.Exact<{
    image: SchemaTypes.Scalars["ID"]["input"];
    registry: SchemaTypes.Scalars["String"]["input"];
}>>;
export declare function usetagsLazyQuery(baseOptions?: Apollo.LazyQueryHookOptions<SchemaTypes.ItagsQuery, SchemaTypes.ItagsQueryVariables>): Apollo.LazyQueryResultTuple<SchemaTypes.ItagsQuery, SchemaTypes.Exact<{
    image: SchemaTypes.Scalars["ID"]["input"];
    registry: SchemaTypes.Scalars["String"]["input"];
}>>;
export declare function usetagsSuspenseQuery(baseOptions?: Apollo.SkipToken | Apollo.SuspenseQueryHookOptions<SchemaTypes.ItagsQuery, SchemaTypes.ItagsQueryVariables>): Apollo.UseSuspenseQueryResult<SchemaTypes.ItagsQuery, SchemaTypes.Exact<{
    image: SchemaTypes.Scalars["ID"]["input"];
    registry: SchemaTypes.Scalars["String"]["input"];
}>>;
export type tagsQueryHookResult = ReturnType<typeof usetagsQuery>;
export type tagsLazyQueryHookResult = ReturnType<typeof usetagsLazyQuery>;
export type tagsSuspenseQueryHookResult = ReturnType<typeof usetagsSuspenseQuery>;
export type tagsQueryResult = Apollo.QueryResult<SchemaTypes.ItagsQuery, SchemaTypes.ItagsQueryVariables>;
export declare const dockerRegistryCatalogDocument: DocumentNode;
/**
 * __usedockerRegistryCatalogQuery__
 *
 * To run a query within a React component, call `usedockerRegistryCatalogQuery` and pass it any options that fit your needs.
 * When your component renders, `usedockerRegistryCatalogQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = usedockerRegistryCatalogQuery({
 *   variables: {
 *      registry: // value for 'registry'
 *   },
 * });
 */
export declare function usedockerRegistryCatalogQuery(baseOptions: Apollo.QueryHookOptions<SchemaTypes.IdockerRegistryCatalogQuery, SchemaTypes.IdockerRegistryCatalogQueryVariables> & ({
    variables: SchemaTypes.IdockerRegistryCatalogQueryVariables;
    skip?: boolean;
} | {
    skip: boolean;
})): Apollo.QueryResult<SchemaTypes.IdockerRegistryCatalogQuery, SchemaTypes.Exact<{
    registry: SchemaTypes.Scalars["String"]["input"];
}>>;
export declare function usedockerRegistryCatalogLazyQuery(baseOptions?: Apollo.LazyQueryHookOptions<SchemaTypes.IdockerRegistryCatalogQuery, SchemaTypes.IdockerRegistryCatalogQueryVariables>): Apollo.LazyQueryResultTuple<SchemaTypes.IdockerRegistryCatalogQuery, SchemaTypes.Exact<{
    registry: SchemaTypes.Scalars["String"]["input"];
}>>;
export declare function usedockerRegistryCatalogSuspenseQuery(baseOptions?: Apollo.SkipToken | Apollo.SuspenseQueryHookOptions<SchemaTypes.IdockerRegistryCatalogQuery, SchemaTypes.IdockerRegistryCatalogQueryVariables>): Apollo.UseSuspenseQueryResult<SchemaTypes.IdockerRegistryCatalogQuery, SchemaTypes.Exact<{
    registry: SchemaTypes.Scalars["String"]["input"];
}>>;
export type dockerRegistryCatalogQueryHookResult = ReturnType<typeof usedockerRegistryCatalogQuery>;
export type dockerRegistryCatalogLazyQueryHookResult = ReturnType<typeof usedockerRegistryCatalogLazyQuery>;
export type dockerRegistryCatalogSuspenseQueryHookResult = ReturnType<typeof usedockerRegistryCatalogSuspenseQuery>;
export type dockerRegistryCatalogQueryResult = Apollo.QueryResult<SchemaTypes.IdockerRegistryCatalogQuery, SchemaTypes.IdockerRegistryCatalogQueryVariables>;
export declare const removeDockerRegistryDocument: DocumentNode;
/**
 * __useremoveDockerRegistryMutation__
 *
 * To run a mutation, you first call `useremoveDockerRegistryMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useremoveDockerRegistryMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [removeDockerRegistryMutation, { data, loading, error }] = useremoveDockerRegistryMutation({
 *   variables: {
 *      id: // value for 'id'
 *   },
 * });
 */
export declare function useremoveDockerRegistryMutation(baseOptions?: Apollo.MutationHookOptions<SchemaTypes.IremoveDockerRegistryMutation, SchemaTypes.IremoveDockerRegistryMutationVariables>): Apollo.MutationTuple<SchemaTypes.IremoveDockerRegistryMutation, SchemaTypes.Exact<{
    id?: SchemaTypes.InputMaybe<SchemaTypes.Scalars["ID"]["input"]>;
}>, Apollo.DefaultContext, Apollo.ApolloCache<any>>;
export type removeDockerRegistryMutationHookResult = ReturnType<typeof useremoveDockerRegistryMutation>;
export type removeDockerRegistryMutationResult = Apollo.MutationResult<SchemaTypes.IremoveDockerRegistryMutation>;
export type removeDockerRegistryMutationOptions = Apollo.BaseMutationOptions<SchemaTypes.IremoveDockerRegistryMutation, SchemaTypes.IremoveDockerRegistryMutationVariables>;
export declare const updateDockerRegistryDocument: DocumentNode;
/**
 * __useupdateDockerRegistryMutation__
 *
 * To run a mutation, you first call `useupdateDockerRegistryMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useupdateDockerRegistryMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [updateDockerRegistryMutation, { data, loading, error }] = useupdateDockerRegistryMutation({
 *   variables: {
 *      id: // value for 'id'
 *      payload: // value for 'payload'
 *   },
 * });
 */
export declare function useupdateDockerRegistryMutation(baseOptions?: Apollo.MutationHookOptions<SchemaTypes.IupdateDockerRegistryMutation, SchemaTypes.IupdateDockerRegistryMutationVariables>): Apollo.MutationTuple<SchemaTypes.IupdateDockerRegistryMutation, SchemaTypes.Exact<{
    id: SchemaTypes.Scalars["ID"]["input"];
    payload?: SchemaTypes.InputMaybe<SchemaTypes.IIDockerRegistry>;
}>, Apollo.DefaultContext, Apollo.ApolloCache<any>>;
export type updateDockerRegistryMutationHookResult = ReturnType<typeof useupdateDockerRegistryMutation>;
export type updateDockerRegistryMutationResult = Apollo.MutationResult<SchemaTypes.IupdateDockerRegistryMutation>;
export type updateDockerRegistryMutationOptions = Apollo.BaseMutationOptions<SchemaTypes.IupdateDockerRegistryMutation, SchemaTypes.IupdateDockerRegistryMutationVariables>;
export declare const createMonocularRegistryDocument: DocumentNode;
/**
 * __usecreateMonocularRegistryMutation__
 *
 * To run a mutation, you first call `usecreateMonocularRegistryMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `usecreateMonocularRegistryMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [createMonocularRegistryMutation, { data, loading, error }] = usecreateMonocularRegistryMutation({
 *   variables: {
 *      payload: // value for 'payload'
 *   },
 * });
 */
export declare function usecreateMonocularRegistryMutation(baseOptions?: Apollo.MutationHookOptions<SchemaTypes.IcreateMonocularRegistryMutation, SchemaTypes.IcreateMonocularRegistryMutationVariables>): Apollo.MutationTuple<SchemaTypes.IcreateMonocularRegistryMutation, SchemaTypes.Exact<{
    payload?: SchemaTypes.InputMaybe<SchemaTypes.IIMonocularRegistry>;
}>, Apollo.DefaultContext, Apollo.ApolloCache<any>>;
export type createMonocularRegistryMutationHookResult = ReturnType<typeof usecreateMonocularRegistryMutation>;
export type createMonocularRegistryMutationResult = Apollo.MutationResult<SchemaTypes.IcreateMonocularRegistryMutation>;
export type createMonocularRegistryMutationOptions = Apollo.BaseMutationOptions<SchemaTypes.IcreateMonocularRegistryMutation, SchemaTypes.IcreateMonocularRegistryMutationVariables>;
export declare const createUserRepositoryDocument: DocumentNode;
/**
 * __usecreateUserRepositoryMutation__
 *
 * To run a mutation, you first call `usecreateUserRepositoryMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `usecreateUserRepositoryMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [createUserRepositoryMutation, { data, loading, error }] = usecreateUserRepositoryMutation({
 *   variables: {
 *      repositoryName: // value for 'repositoryName'
 *      orgName: // value for 'orgName'
 *   },
 * });
 */
export declare function usecreateUserRepositoryMutation(baseOptions?: Apollo.MutationHookOptions<SchemaTypes.IcreateUserRepositoryMutation, SchemaTypes.IcreateUserRepositoryMutationVariables>): Apollo.MutationTuple<SchemaTypes.IcreateUserRepositoryMutation, SchemaTypes.Exact<{
    repositoryName?: SchemaTypes.InputMaybe<SchemaTypes.Scalars["String"]["input"]>;
    orgName?: SchemaTypes.InputMaybe<SchemaTypes.Scalars["String"]["input"]>;
}>, Apollo.DefaultContext, Apollo.ApolloCache<any>>;
export type createUserRepositoryMutationHookResult = ReturnType<typeof usecreateUserRepositoryMutation>;
export type createUserRepositoryMutationResult = Apollo.MutationResult<SchemaTypes.IcreateUserRepositoryMutation>;
export type createUserRepositoryMutationOptions = Apollo.BaseMutationOptions<SchemaTypes.IcreateUserRepositoryMutation, SchemaTypes.IcreateUserRepositoryMutationVariables>;
export declare const removeMonocularRegistryDocument: DocumentNode;
/**
 * __useremoveMonocularRegistryMutation__
 *
 * To run a mutation, you first call `useremoveMonocularRegistryMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useremoveMonocularRegistryMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [removeMonocularRegistryMutation, { data, loading, error }] = useremoveMonocularRegistryMutation({
 *   variables: {
 *      id: // value for 'id'
 *   },
 * });
 */
export declare function useremoveMonocularRegistryMutation(baseOptions?: Apollo.MutationHookOptions<SchemaTypes.IremoveMonocularRegistryMutation, SchemaTypes.IremoveMonocularRegistryMutationVariables>): Apollo.MutationTuple<SchemaTypes.IremoveMonocularRegistryMutation, SchemaTypes.Exact<{
    id?: SchemaTypes.InputMaybe<SchemaTypes.Scalars["ID"]["input"]>;
}>, Apollo.DefaultContext, Apollo.ApolloCache<any>>;
export type removeMonocularRegistryMutationHookResult = ReturnType<typeof useremoveMonocularRegistryMutation>;
export type removeMonocularRegistryMutationResult = Apollo.MutationResult<SchemaTypes.IremoveMonocularRegistryMutation>;
export type removeMonocularRegistryMutationOptions = Apollo.BaseMutationOptions<SchemaTypes.IremoveMonocularRegistryMutation, SchemaTypes.IremoveMonocularRegistryMutationVariables>;
export declare const removeUserRepositoryDocument: DocumentNode;
/**
 * __useremoveUserRepositoryMutation__
 *
 * To run a mutation, you first call `useremoveUserRepositoryMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useremoveUserRepositoryMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [removeUserRepositoryMutation, { data, loading, error }] = useremoveUserRepositoryMutation({
 *   variables: {
 *      repositoryId: // value for 'repositoryId'
 *   },
 * });
 */
export declare function useremoveUserRepositoryMutation(baseOptions?: Apollo.MutationHookOptions<SchemaTypes.IremoveUserRepositoryMutation, SchemaTypes.IremoveUserRepositoryMutationVariables>): Apollo.MutationTuple<SchemaTypes.IremoveUserRepositoryMutation, SchemaTypes.Exact<{
    repositoryId?: SchemaTypes.InputMaybe<SchemaTypes.Scalars["Int"]["input"]>;
}>, Apollo.DefaultContext, Apollo.ApolloCache<any>>;
export type removeUserRepositoryMutationHookResult = ReturnType<typeof useremoveUserRepositoryMutation>;
export type removeUserRepositoryMutationResult = Apollo.MutationResult<SchemaTypes.IremoveUserRepositoryMutation>;
export type removeUserRepositoryMutationOptions = Apollo.BaseMutationOptions<SchemaTypes.IremoveUserRepositoryMutation, SchemaTypes.IremoveUserRepositoryMutationVariables>;
export declare const testConnectionDocument: DocumentNode;
/**
 * __usetestConnectionMutation__
 *
 * To run a mutation, you first call `usetestConnectionMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `usetestConnectionMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [testConnectionMutation, { data, loading, error }] = usetestConnectionMutation({
 *   variables: {
 *      payload: // value for 'payload'
 *   },
 * });
 */
export declare function usetestConnectionMutation(baseOptions?: Apollo.MutationHookOptions<SchemaTypes.ItestConnectionMutation, SchemaTypes.ItestConnectionMutationVariables>): Apollo.MutationTuple<SchemaTypes.ItestConnectionMutation, SchemaTypes.Exact<{
    payload?: SchemaTypes.InputMaybe<SchemaTypes.IIMonocularRegistry>;
}>, Apollo.DefaultContext, Apollo.ApolloCache<any>>;
export type testConnectionMutationHookResult = ReturnType<typeof usetestConnectionMutation>;
export type testConnectionMutationResult = Apollo.MutationResult<SchemaTypes.ItestConnectionMutation>;
export type testConnectionMutationOptions = Apollo.BaseMutationOptions<SchemaTypes.ItestConnectionMutation, SchemaTypes.ItestConnectionMutationVariables>;
export declare const updateMonocularRegistryDocument: DocumentNode;
/**
 * __useupdateMonocularRegistryMutation__
 *
 * To run a mutation, you first call `useupdateMonocularRegistryMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useupdateMonocularRegistryMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [updateMonocularRegistryMutation, { data, loading, error }] = useupdateMonocularRegistryMutation({
 *   variables: {
 *      id: // value for 'id'
 *      payload: // value for 'payload'
 *   },
 * });
 */
export declare function useupdateMonocularRegistryMutation(baseOptions?: Apollo.MutationHookOptions<SchemaTypes.IupdateMonocularRegistryMutation, SchemaTypes.IupdateMonocularRegistryMutationVariables>): Apollo.MutationTuple<SchemaTypes.IupdateMonocularRegistryMutation, SchemaTypes.Exact<{
    id: SchemaTypes.Scalars["ID"]["input"];
    payload?: SchemaTypes.InputMaybe<SchemaTypes.IIMonocularRegistry>;
}>, Apollo.DefaultContext, Apollo.ApolloCache<any>>;
export type updateMonocularRegistryMutationHookResult = ReturnType<typeof useupdateMonocularRegistryMutation>;
export type updateMonocularRegistryMutationResult = Apollo.MutationResult<SchemaTypes.IupdateMonocularRegistryMutation>;
export type updateMonocularRegistryMutationOptions = Apollo.BaseMutationOptions<SchemaTypes.IupdateMonocularRegistryMutation, SchemaTypes.IupdateMonocularRegistryMutationVariables>;
export declare const uploadDocument: DocumentNode;
/**
 * __useuploadMutation__
 *
 * To run a mutation, you first call `useuploadMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useuploadMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [uploadMutation, { data, loading, error }] = useuploadMutation({
 *   variables: {
 *      repositoryName: // value for 'repositoryName'
 *      chartfile: // value for 'chartfile'
 *      provfile: // value for 'provfile'
 *   },
 * });
 */
export declare function useuploadMutation(baseOptions?: Apollo.MutationHookOptions<SchemaTypes.IuploadMutation, SchemaTypes.IuploadMutationVariables>): Apollo.MutationTuple<SchemaTypes.IuploadMutation, SchemaTypes.Exact<{
    repositoryName: SchemaTypes.Scalars["String"]["input"];
    chartfile: SchemaTypes.Scalars["Upload"]["input"];
    provfile?: SchemaTypes.InputMaybe<SchemaTypes.Scalars["Upload"]["input"]>;
}>, Apollo.DefaultContext, Apollo.ApolloCache<any>>;
export type uploadMutationHookResult = ReturnType<typeof useuploadMutation>;
export type uploadMutationResult = Apollo.MutationResult<SchemaTypes.IuploadMutation>;
export type uploadMutationOptions = Apollo.BaseMutationOptions<SchemaTypes.IuploadMutation, SchemaTypes.IuploadMutationVariables>;
export declare const getChartDetailsDocument: DocumentNode;
/**
 * __usegetChartDetailsQuery__
 *
 * To run a query within a React component, call `usegetChartDetailsQuery` and pass it any options that fit your needs.
 * When your component renders, `usegetChartDetailsQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = usegetChartDetailsQuery({
 *   variables: {
 *      repository: // value for 'repository'
 *      chartname: // value for 'chartname'
 *      version: // value for 'version'
 *   },
 * });
 */
export declare function usegetChartDetailsQuery(baseOptions: Apollo.QueryHookOptions<SchemaTypes.IgetChartDetailsQuery, SchemaTypes.IgetChartDetailsQueryVariables> & ({
    variables: SchemaTypes.IgetChartDetailsQueryVariables;
    skip?: boolean;
} | {
    skip: boolean;
})): Apollo.QueryResult<SchemaTypes.IgetChartDetailsQuery, SchemaTypes.Exact<{
    repository: SchemaTypes.Scalars["String"]["input"];
    chartname: SchemaTypes.Scalars["String"]["input"];
    version: SchemaTypes.Scalars["String"]["input"];
}>>;
export declare function usegetChartDetailsLazyQuery(baseOptions?: Apollo.LazyQueryHookOptions<SchemaTypes.IgetChartDetailsQuery, SchemaTypes.IgetChartDetailsQueryVariables>): Apollo.LazyQueryResultTuple<SchemaTypes.IgetChartDetailsQuery, SchemaTypes.Exact<{
    repository: SchemaTypes.Scalars["String"]["input"];
    chartname: SchemaTypes.Scalars["String"]["input"];
    version: SchemaTypes.Scalars["String"]["input"];
}>>;
export declare function usegetChartDetailsSuspenseQuery(baseOptions?: Apollo.SkipToken | Apollo.SuspenseQueryHookOptions<SchemaTypes.IgetChartDetailsQuery, SchemaTypes.IgetChartDetailsQueryVariables>): Apollo.UseSuspenseQueryResult<SchemaTypes.IgetChartDetailsQuery, SchemaTypes.Exact<{
    repository: SchemaTypes.Scalars["String"]["input"];
    chartname: SchemaTypes.Scalars["String"]["input"];
    version: SchemaTypes.Scalars["String"]["input"];
}>>;
export type getChartDetailsQueryHookResult = ReturnType<typeof usegetChartDetailsQuery>;
export type getChartDetailsLazyQueryHookResult = ReturnType<typeof usegetChartDetailsLazyQuery>;
export type getChartDetailsSuspenseQueryHookResult = ReturnType<typeof usegetChartDetailsSuspenseQuery>;
export type getChartDetailsQueryResult = Apollo.QueryResult<SchemaTypes.IgetChartDetailsQuery, SchemaTypes.IgetChartDetailsQueryVariables>;
export declare const chartVersionsDocument: DocumentNode;
/**
 * __usechartVersionsQuery__
 *
 * To run a query within a React component, call `usechartVersionsQuery` and pass it any options that fit your needs.
 * When your component renders, `usechartVersionsQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = usechartVersionsQuery({
 *   variables: {
 *      repository: // value for 'repository'
 *      chartname: // value for 'chartname'
 *   },
 * });
 */
export declare function usechartVersionsQuery(baseOptions: Apollo.QueryHookOptions<SchemaTypes.IchartVersionsQuery, SchemaTypes.IchartVersionsQueryVariables> & ({
    variables: SchemaTypes.IchartVersionsQueryVariables;
    skip?: boolean;
} | {
    skip: boolean;
})): Apollo.QueryResult<SchemaTypes.IchartVersionsQuery, SchemaTypes.Exact<{
    repository: SchemaTypes.Scalars["String"]["input"];
    chartname: SchemaTypes.Scalars["String"]["input"];
}>>;
export declare function usechartVersionsLazyQuery(baseOptions?: Apollo.LazyQueryHookOptions<SchemaTypes.IchartVersionsQuery, SchemaTypes.IchartVersionsQueryVariables>): Apollo.LazyQueryResultTuple<SchemaTypes.IchartVersionsQuery, SchemaTypes.Exact<{
    repository: SchemaTypes.Scalars["String"]["input"];
    chartname: SchemaTypes.Scalars["String"]["input"];
}>>;
export declare function usechartVersionsSuspenseQuery(baseOptions?: Apollo.SkipToken | Apollo.SuspenseQueryHookOptions<SchemaTypes.IchartVersionsQuery, SchemaTypes.IchartVersionsQueryVariables>): Apollo.UseSuspenseQueryResult<SchemaTypes.IchartVersionsQuery, SchemaTypes.Exact<{
    repository: SchemaTypes.Scalars["String"]["input"];
    chartname: SchemaTypes.Scalars["String"]["input"];
}>>;
export type chartVersionsQueryHookResult = ReturnType<typeof usechartVersionsQuery>;
export type chartVersionsLazyQueryHookResult = ReturnType<typeof usechartVersionsLazyQuery>;
export type chartVersionsSuspenseQueryHookResult = ReturnType<typeof usechartVersionsSuspenseQuery>;
export type chartVersionsQueryResult = Apollo.QueryResult<SchemaTypes.IchartVersionsQuery, SchemaTypes.IchartVersionsQueryVariables>;
export declare const getChartDocument: DocumentNode;
/**
 * __usegetChartQuery__
 *
 * To run a query within a React component, call `usegetChartQuery` and pass it any options that fit your needs.
 * When your component renders, `usegetChartQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = usegetChartQuery({
 *   variables: {
 *      repository: // value for 'repository'
 *      chartname: // value for 'chartname'
 *      version: // value for 'version'
 *   },
 * });
 */
export declare function usegetChartQuery(baseOptions: Apollo.QueryHookOptions<SchemaTypes.IgetChartQuery, SchemaTypes.IgetChartQueryVariables> & ({
    variables: SchemaTypes.IgetChartQueryVariables;
    skip?: boolean;
} | {
    skip: boolean;
})): Apollo.QueryResult<SchemaTypes.IgetChartQuery, SchemaTypes.Exact<{
    repository: SchemaTypes.Scalars["String"]["input"];
    chartname: SchemaTypes.Scalars["String"]["input"];
    version: SchemaTypes.Scalars["String"]["input"];
}>>;
export declare function usegetChartLazyQuery(baseOptions?: Apollo.LazyQueryHookOptions<SchemaTypes.IgetChartQuery, SchemaTypes.IgetChartQueryVariables>): Apollo.LazyQueryResultTuple<SchemaTypes.IgetChartQuery, SchemaTypes.Exact<{
    repository: SchemaTypes.Scalars["String"]["input"];
    chartname: SchemaTypes.Scalars["String"]["input"];
    version: SchemaTypes.Scalars["String"]["input"];
}>>;
export declare function usegetChartSuspenseQuery(baseOptions?: Apollo.SkipToken | Apollo.SuspenseQueryHookOptions<SchemaTypes.IgetChartQuery, SchemaTypes.IgetChartQueryVariables>): Apollo.UseSuspenseQueryResult<SchemaTypes.IgetChartQuery, SchemaTypes.Exact<{
    repository: SchemaTypes.Scalars["String"]["input"];
    chartname: SchemaTypes.Scalars["String"]["input"];
    version: SchemaTypes.Scalars["String"]["input"];
}>>;
export type getChartQueryHookResult = ReturnType<typeof usegetChartQuery>;
export type getChartLazyQueryHookResult = ReturnType<typeof usegetChartLazyQuery>;
export type getChartSuspenseQueryHookResult = ReturnType<typeof usegetChartSuspenseQuery>;
export type getChartQueryResult = Apollo.QueryResult<SchemaTypes.IgetChartQuery, SchemaTypes.IgetChartQueryVariables>;
export declare const getChartsDocument: DocumentNode;
/**
 * __usegetChartsQuery__
 *
 * To run a query within a React component, call `usegetChartsQuery` and pass it any options that fit your needs.
 * When your component renders, `usegetChartsQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = usegetChartsQuery({
 *   variables: {
 *      repository: // value for 'repository'
 *   },
 * });
 */
export declare function usegetChartsQuery(baseOptions: Apollo.QueryHookOptions<SchemaTypes.IgetChartsQuery, SchemaTypes.IgetChartsQueryVariables> & ({
    variables: SchemaTypes.IgetChartsQueryVariables;
    skip?: boolean;
} | {
    skip: boolean;
})): Apollo.QueryResult<SchemaTypes.IgetChartsQuery, SchemaTypes.Exact<{
    repository: SchemaTypes.Scalars["String"]["input"];
}>>;
export declare function usegetChartsLazyQuery(baseOptions?: Apollo.LazyQueryHookOptions<SchemaTypes.IgetChartsQuery, SchemaTypes.IgetChartsQueryVariables>): Apollo.LazyQueryResultTuple<SchemaTypes.IgetChartsQuery, SchemaTypes.Exact<{
    repository: SchemaTypes.Scalars["String"]["input"];
}>>;
export declare function usegetChartsSuspenseQuery(baseOptions?: Apollo.SkipToken | Apollo.SuspenseQueryHookOptions<SchemaTypes.IgetChartsQuery, SchemaTypes.IgetChartsQueryVariables>): Apollo.UseSuspenseQueryResult<SchemaTypes.IgetChartsQuery, SchemaTypes.Exact<{
    repository: SchemaTypes.Scalars["String"]["input"];
}>>;
export type getChartsQueryHookResult = ReturnType<typeof usegetChartsQuery>;
export type getChartsLazyQueryHookResult = ReturnType<typeof usegetChartsLazyQuery>;
export type getChartsSuspenseQueryHookResult = ReturnType<typeof usegetChartsSuspenseQuery>;
export type getChartsQueryResult = Apollo.QueryResult<SchemaTypes.IgetChartsQuery, SchemaTypes.IgetChartsQueryVariables>;
export declare const getAllMonocularRegistriesDocument: DocumentNode;
/**
 * __usegetAllMonocularRegistriesQuery__
 *
 * To run a query within a React component, call `usegetAllMonocularRegistriesQuery` and pass it any options that fit your needs.
 * When your component renders, `usegetAllMonocularRegistriesQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = usegetAllMonocularRegistriesQuery({
 *   variables: {
 *   },
 * });
 */
export declare function usegetAllMonocularRegistriesQuery(baseOptions?: Apollo.QueryHookOptions<SchemaTypes.IgetAllMonocularRegistriesQuery, SchemaTypes.IgetAllMonocularRegistriesQueryVariables>): Apollo.QueryResult<SchemaTypes.IgetAllMonocularRegistriesQuery, SchemaTypes.Exact<{
    [key: string]: never;
}>>;
export declare function usegetAllMonocularRegistriesLazyQuery(baseOptions?: Apollo.LazyQueryHookOptions<SchemaTypes.IgetAllMonocularRegistriesQuery, SchemaTypes.IgetAllMonocularRegistriesQueryVariables>): Apollo.LazyQueryResultTuple<SchemaTypes.IgetAllMonocularRegistriesQuery, SchemaTypes.Exact<{
    [key: string]: never;
}>>;
export declare function usegetAllMonocularRegistriesSuspenseQuery(baseOptions?: Apollo.SkipToken | Apollo.SuspenseQueryHookOptions<SchemaTypes.IgetAllMonocularRegistriesQuery, SchemaTypes.IgetAllMonocularRegistriesQueryVariables>): Apollo.UseSuspenseQueryResult<SchemaTypes.IgetAllMonocularRegistriesQuery, SchemaTypes.Exact<{
    [key: string]: never;
}>>;
export type getAllMonocularRegistriesQueryHookResult = ReturnType<typeof usegetAllMonocularRegistriesQuery>;
export type getAllMonocularRegistriesLazyQueryHookResult = ReturnType<typeof usegetAllMonocularRegistriesLazyQuery>;
export type getAllMonocularRegistriesSuspenseQueryHookResult = ReturnType<typeof usegetAllMonocularRegistriesSuspenseQuery>;
export type getAllMonocularRegistriesQueryResult = Apollo.QueryResult<SchemaTypes.IgetAllMonocularRegistriesQuery, SchemaTypes.IgetAllMonocularRegistriesQueryVariables>;
export declare const repositoriesDocument: DocumentNode;
/**
 * __userepositoriesQuery__
 *
 * To run a query within a React component, call `userepositoriesQuery` and pass it any options that fit your needs.
 * When your component renders, `userepositoriesQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = userepositoriesQuery({
 *   variables: {
 *   },
 * });
 */
export declare function userepositoriesQuery(baseOptions?: Apollo.QueryHookOptions<SchemaTypes.IrepositoriesQuery, SchemaTypes.IrepositoriesQueryVariables>): Apollo.QueryResult<SchemaTypes.IrepositoriesQuery, SchemaTypes.Exact<{
    [key: string]: never;
}>>;
export declare function userepositoriesLazyQuery(baseOptions?: Apollo.LazyQueryHookOptions<SchemaTypes.IrepositoriesQuery, SchemaTypes.IrepositoriesQueryVariables>): Apollo.LazyQueryResultTuple<SchemaTypes.IrepositoriesQuery, SchemaTypes.Exact<{
    [key: string]: never;
}>>;
export declare function userepositoriesSuspenseQuery(baseOptions?: Apollo.SkipToken | Apollo.SuspenseQueryHookOptions<SchemaTypes.IrepositoriesQuery, SchemaTypes.IrepositoriesQueryVariables>): Apollo.UseSuspenseQueryResult<SchemaTypes.IrepositoriesQuery, SchemaTypes.Exact<{
    [key: string]: never;
}>>;
export type repositoriesQueryHookResult = ReturnType<typeof userepositoriesQuery>;
export type repositoriesLazyQueryHookResult = ReturnType<typeof userepositoriesLazyQuery>;
export type repositoriesSuspenseQueryHookResult = ReturnType<typeof userepositoriesSuspenseQuery>;
export type repositoriesQueryResult = Apollo.QueryResult<SchemaTypes.IrepositoriesQuery, SchemaTypes.IrepositoriesQueryVariables>;
export declare const userRepositoriesDocument: DocumentNode;
/**
 * __useuserRepositoriesQuery__
 *
 * To run a query within a React component, call `useuserRepositoriesQuery` and pass it any options that fit your needs.
 * When your component renders, `useuserRepositoriesQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useuserRepositoriesQuery({
 *   variables: {
 *      orgName: // value for 'orgName'
 *   },
 * });
 */
export declare function useuserRepositoriesQuery(baseOptions?: Apollo.QueryHookOptions<SchemaTypes.IuserRepositoriesQuery, SchemaTypes.IuserRepositoriesQueryVariables>): Apollo.QueryResult<SchemaTypes.IuserRepositoriesQuery, SchemaTypes.Exact<{
    orgName?: SchemaTypes.InputMaybe<SchemaTypes.Scalars["String"]["input"]>;
}>>;
export declare function useuserRepositoriesLazyQuery(baseOptions?: Apollo.LazyQueryHookOptions<SchemaTypes.IuserRepositoriesQuery, SchemaTypes.IuserRepositoriesQueryVariables>): Apollo.LazyQueryResultTuple<SchemaTypes.IuserRepositoriesQuery, SchemaTypes.Exact<{
    orgName?: SchemaTypes.InputMaybe<SchemaTypes.Scalars["String"]["input"]>;
}>>;
export declare function useuserRepositoriesSuspenseQuery(baseOptions?: Apollo.SkipToken | Apollo.SuspenseQueryHookOptions<SchemaTypes.IuserRepositoriesQuery, SchemaTypes.IuserRepositoriesQueryVariables>): Apollo.UseSuspenseQueryResult<SchemaTypes.IuserRepositoriesQuery, SchemaTypes.Exact<{
    orgName?: SchemaTypes.InputMaybe<SchemaTypes.Scalars["String"]["input"]>;
}>>;
export type userRepositoriesQueryHookResult = ReturnType<typeof useuserRepositoriesQuery>;
export type userRepositoriesLazyQueryHookResult = ReturnType<typeof useuserRepositoriesLazyQuery>;
export type userRepositoriesSuspenseQueryHookResult = ReturnType<typeof useuserRepositoriesSuspenseQuery>;
export type userRepositoriesQueryResult = Apollo.QueryResult<SchemaTypes.IuserRepositoriesQuery, SchemaTypes.IuserRepositoriesQueryVariables>;
//# sourceMappingURL=generated.d.ts.map