import*as Apollo from'@apollo/client/index.js';const defaultOptions = {};
const dockerCatalogDocument = {
  kind: 'Document',
  definitions: [{
    kind: 'OperationDefinition',
    operation: 'query',
    name: {
      kind: 'Name',
      value: 'dockerCatalog'
    },
    selectionSet: {
      kind: 'SelectionSet',
      selections: [{
        kind: 'Field',
        name: {
          kind: 'Name',
          value: 'dockerCatalog'
        },
        selectionSet: {
          kind: 'SelectionSet',
          selections: [{
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'repositories'
            }
          }]
        }
      }]
    }
  }]
};
/**
 * __usedockerCatalogQuery__
 *
 * To run a query within a React component, call `usedockerCatalogQuery` and pass it any options that fit your needs.
 * When your component renders, `usedockerCatalogQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = usedockerCatalogQuery({
 *   variables: {
 *   },
 * });
 */
function usedockerCatalogQuery(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useQuery(dockerCatalogDocument, options);
}
function usedockerCatalogLazyQuery(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useLazyQuery(dockerCatalogDocument, options);
}
function usedockerCatalogSuspenseQuery(baseOptions) {
  const options = baseOptions === Apollo.skipToken ? baseOptions : {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useSuspenseQuery(dockerCatalogDocument, options);
}
const getAllDockerRegistriesDocument = {
  kind: 'Document',
  definitions: [{
    kind: 'OperationDefinition',
    operation: 'query',
    name: {
      kind: 'Name',
      value: 'getAllDockerRegistries'
    },
    selectionSet: {
      kind: 'SelectionSet',
      selections: [{
        kind: 'Field',
        name: {
          kind: 'Name',
          value: 'allDockerRegistries'
        },
        selectionSet: {
          kind: 'SelectionSet',
          selections: [{
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'id'
            }
          }, {
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'name'
            }
          }, {
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'url'
            }
          }, {
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'description'
            }
          }, {
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'type'
            }
          }]
        }
      }]
    }
  }]
};
/**
 * __usegetAllDockerRegistriesQuery__
 *
 * To run a query within a React component, call `usegetAllDockerRegistriesQuery` and pass it any options that fit your needs.
 * When your component renders, `usegetAllDockerRegistriesQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = usegetAllDockerRegistriesQuery({
 *   variables: {
 *   },
 * });
 */
function usegetAllDockerRegistriesQuery(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useQuery(getAllDockerRegistriesDocument, options);
}
function usegetAllDockerRegistriesLazyQuery(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useLazyQuery(getAllDockerRegistriesDocument, options);
}
function usegetAllDockerRegistriesSuspenseQuery(baseOptions) {
  const options = baseOptions === Apollo.skipToken ? baseOptions : {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useSuspenseQuery(getAllDockerRegistriesDocument, options);
}
const createDockerRegistryDocument = {
  kind: 'Document',
  definitions: [{
    kind: 'OperationDefinition',
    operation: 'mutation',
    name: {
      kind: 'Name',
      value: 'createDockerRegistry'
    },
    variableDefinitions: [{
      kind: 'VariableDefinition',
      variable: {
        kind: 'Variable',
        name: {
          kind: 'Name',
          value: 'payload'
        }
      },
      type: {
        kind: 'NamedType',
        name: {
          kind: 'Name',
          value: 'IDockerRegistry'
        }
      }
    }],
    selectionSet: {
      kind: 'SelectionSet',
      selections: [{
        kind: 'Field',
        name: {
          kind: 'Name',
          value: 'createDockerRegistry'
        },
        arguments: [{
          kind: 'Argument',
          name: {
            kind: 'Name',
            value: 'payload'
          },
          value: {
            kind: 'Variable',
            name: {
              kind: 'Name',
              value: 'payload'
            }
          }
        }]
      }]
    }
  }]
};
/**
 * __usecreateDockerRegistryMutation__
 *
 * To run a mutation, you first call `usecreateDockerRegistryMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `usecreateDockerRegistryMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [createDockerRegistryMutation, { data, loading, error }] = usecreateDockerRegistryMutation({
 *   variables: {
 *      payload: // value for 'payload'
 *   },
 * });
 */
function usecreateDockerRegistryMutation(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useMutation(createDockerRegistryDocument, options);
}
const tagsDocument = {
  kind: 'Document',
  definitions: [{
    kind: 'OperationDefinition',
    operation: 'query',
    name: {
      kind: 'Name',
      value: 'tags'
    },
    variableDefinitions: [{
      kind: 'VariableDefinition',
      variable: {
        kind: 'Variable',
        name: {
          kind: 'Name',
          value: 'image'
        }
      },
      type: {
        kind: 'NonNullType',
        type: {
          kind: 'NamedType',
          name: {
            kind: 'Name',
            value: 'ID'
          }
        }
      }
    }, {
      kind: 'VariableDefinition',
      variable: {
        kind: 'Variable',
        name: {
          kind: 'Name',
          value: 'registry'
        }
      },
      type: {
        kind: 'NonNullType',
        type: {
          kind: 'NamedType',
          name: {
            kind: 'Name',
            value: 'String'
          }
        }
      }
    }],
    selectionSet: {
      kind: 'SelectionSet',
      selections: [{
        kind: 'Field',
        name: {
          kind: 'Name',
          value: 'dockerRegistryImageTags'
        },
        arguments: [{
          kind: 'Argument',
          name: {
            kind: 'Name',
            value: 'image'
          },
          value: {
            kind: 'Variable',
            name: {
              kind: 'Name',
              value: 'image'
            }
          }
        }, {
          kind: 'Argument',
          name: {
            kind: 'Name',
            value: 'registry'
          },
          value: {
            kind: 'Variable',
            name: {
              kind: 'Name',
              value: 'registry'
            }
          }
        }],
        selectionSet: {
          kind: 'SelectionSet',
          selections: [{
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'name'
            }
          }, {
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'tags'
            }
          }]
        }
      }]
    }
  }]
};
/**
 * __usetagsQuery__
 *
 * To run a query within a React component, call `usetagsQuery` and pass it any options that fit your needs.
 * When your component renders, `usetagsQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = usetagsQuery({
 *   variables: {
 *      image: // value for 'image'
 *      registry: // value for 'registry'
 *   },
 * });
 */
function usetagsQuery(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useQuery(tagsDocument, options);
}
function usetagsLazyQuery(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useLazyQuery(tagsDocument, options);
}
function usetagsSuspenseQuery(baseOptions) {
  const options = baseOptions === Apollo.skipToken ? baseOptions : {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useSuspenseQuery(tagsDocument, options);
}
const dockerRegistryCatalogDocument = {
  kind: 'Document',
  definitions: [{
    kind: 'OperationDefinition',
    operation: 'query',
    name: {
      kind: 'Name',
      value: 'dockerRegistryCatalog'
    },
    variableDefinitions: [{
      kind: 'VariableDefinition',
      variable: {
        kind: 'Variable',
        name: {
          kind: 'Name',
          value: 'registry'
        }
      },
      type: {
        kind: 'NonNullType',
        type: {
          kind: 'NamedType',
          name: {
            kind: 'Name',
            value: 'String'
          }
        }
      }
    }],
    selectionSet: {
      kind: 'SelectionSet',
      selections: [{
        kind: 'Field',
        name: {
          kind: 'Name',
          value: 'dockerRegistryCatalog'
        },
        arguments: [{
          kind: 'Argument',
          name: {
            kind: 'Name',
            value: 'registry'
          },
          value: {
            kind: 'Variable',
            name: {
              kind: 'Name',
              value: 'registry'
            }
          }
        }],
        selectionSet: {
          kind: 'SelectionSet',
          selections: [{
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'repositories'
            }
          }]
        }
      }]
    }
  }]
};
/**
 * __usedockerRegistryCatalogQuery__
 *
 * To run a query within a React component, call `usedockerRegistryCatalogQuery` and pass it any options that fit your needs.
 * When your component renders, `usedockerRegistryCatalogQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = usedockerRegistryCatalogQuery({
 *   variables: {
 *      registry: // value for 'registry'
 *   },
 * });
 */
function usedockerRegistryCatalogQuery(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useQuery(dockerRegistryCatalogDocument, options);
}
function usedockerRegistryCatalogLazyQuery(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useLazyQuery(dockerRegistryCatalogDocument, options);
}
function usedockerRegistryCatalogSuspenseQuery(baseOptions) {
  const options = baseOptions === Apollo.skipToken ? baseOptions : {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useSuspenseQuery(dockerRegistryCatalogDocument, options);
}
const removeDockerRegistryDocument = {
  kind: 'Document',
  definitions: [{
    kind: 'OperationDefinition',
    operation: 'mutation',
    name: {
      kind: 'Name',
      value: 'removeDockerRegistry'
    },
    variableDefinitions: [{
      kind: 'VariableDefinition',
      variable: {
        kind: 'Variable',
        name: {
          kind: 'Name',
          value: 'id'
        }
      },
      type: {
        kind: 'NamedType',
        name: {
          kind: 'Name',
          value: 'ID'
        }
      }
    }],
    selectionSet: {
      kind: 'SelectionSet',
      selections: [{
        kind: 'Field',
        name: {
          kind: 'Name',
          value: 'removeDockerRegistry'
        },
        arguments: [{
          kind: 'Argument',
          name: {
            kind: 'Name',
            value: 'id'
          },
          value: {
            kind: 'Variable',
            name: {
              kind: 'Name',
              value: 'id'
            }
          }
        }]
      }]
    }
  }]
};
/**
 * __useremoveDockerRegistryMutation__
 *
 * To run a mutation, you first call `useremoveDockerRegistryMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useremoveDockerRegistryMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [removeDockerRegistryMutation, { data, loading, error }] = useremoveDockerRegistryMutation({
 *   variables: {
 *      id: // value for 'id'
 *   },
 * });
 */
function useremoveDockerRegistryMutation(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useMutation(removeDockerRegistryDocument, options);
}
const updateDockerRegistryDocument = {
  kind: 'Document',
  definitions: [{
    kind: 'OperationDefinition',
    operation: 'mutation',
    name: {
      kind: 'Name',
      value: 'updateDockerRegistry'
    },
    variableDefinitions: [{
      kind: 'VariableDefinition',
      variable: {
        kind: 'Variable',
        name: {
          kind: 'Name',
          value: 'id'
        }
      },
      type: {
        kind: 'NonNullType',
        type: {
          kind: 'NamedType',
          name: {
            kind: 'Name',
            value: 'ID'
          }
        }
      }
    }, {
      kind: 'VariableDefinition',
      variable: {
        kind: 'Variable',
        name: {
          kind: 'Name',
          value: 'payload'
        }
      },
      type: {
        kind: 'NamedType',
        name: {
          kind: 'Name',
          value: 'IDockerRegistry'
        }
      }
    }],
    selectionSet: {
      kind: 'SelectionSet',
      selections: [{
        kind: 'Field',
        name: {
          kind: 'Name',
          value: 'updateDockerRegistry'
        },
        arguments: [{
          kind: 'Argument',
          name: {
            kind: 'Name',
            value: 'id'
          },
          value: {
            kind: 'Variable',
            name: {
              kind: 'Name',
              value: 'id'
            }
          }
        }, {
          kind: 'Argument',
          name: {
            kind: 'Name',
            value: 'payload'
          },
          value: {
            kind: 'Variable',
            name: {
              kind: 'Name',
              value: 'payload'
            }
          }
        }]
      }]
    }
  }]
};
/**
 * __useupdateDockerRegistryMutation__
 *
 * To run a mutation, you first call `useupdateDockerRegistryMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useupdateDockerRegistryMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [updateDockerRegistryMutation, { data, loading, error }] = useupdateDockerRegistryMutation({
 *   variables: {
 *      id: // value for 'id'
 *      payload: // value for 'payload'
 *   },
 * });
 */
function useupdateDockerRegistryMutation(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useMutation(updateDockerRegistryDocument, options);
}
const createMonocularRegistryDocument = {
  kind: 'Document',
  definitions: [{
    kind: 'OperationDefinition',
    operation: 'mutation',
    name: {
      kind: 'Name',
      value: 'createMonocularRegistry'
    },
    variableDefinitions: [{
      kind: 'VariableDefinition',
      variable: {
        kind: 'Variable',
        name: {
          kind: 'Name',
          value: 'payload'
        }
      },
      type: {
        kind: 'NamedType',
        name: {
          kind: 'Name',
          value: 'IMonocularRegistry'
        }
      }
    }],
    selectionSet: {
      kind: 'SelectionSet',
      selections: [{
        kind: 'Field',
        name: {
          kind: 'Name',
          value: 'createMonocularRegistry'
        },
        arguments: [{
          kind: 'Argument',
          name: {
            kind: 'Name',
            value: 'payload'
          },
          value: {
            kind: 'Variable',
            name: {
              kind: 'Name',
              value: 'payload'
            }
          }
        }],
        selectionSet: {
          kind: 'SelectionSet',
          selections: [{
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'url'
            }
          }, {
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'name'
            }
          }]
        }
      }]
    }
  }]
};
/**
 * __usecreateMonocularRegistryMutation__
 *
 * To run a mutation, you first call `usecreateMonocularRegistryMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `usecreateMonocularRegistryMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [createMonocularRegistryMutation, { data, loading, error }] = usecreateMonocularRegistryMutation({
 *   variables: {
 *      payload: // value for 'payload'
 *   },
 * });
 */
function usecreateMonocularRegistryMutation(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useMutation(createMonocularRegistryDocument, options);
}
const createUserRepositoryDocument = {
  kind: 'Document',
  definitions: [{
    kind: 'OperationDefinition',
    operation: 'mutation',
    name: {
      kind: 'Name',
      value: 'createUserRepository'
    },
    variableDefinitions: [{
      kind: 'VariableDefinition',
      variable: {
        kind: 'Variable',
        name: {
          kind: 'Name',
          value: 'repositoryName'
        }
      },
      type: {
        kind: 'NamedType',
        name: {
          kind: 'Name',
          value: 'String'
        }
      }
    }, {
      kind: 'VariableDefinition',
      variable: {
        kind: 'Variable',
        name: {
          kind: 'Name',
          value: 'orgName'
        }
      },
      type: {
        kind: 'NamedType',
        name: {
          kind: 'Name',
          value: 'String'
        }
      }
    }],
    selectionSet: {
      kind: 'SelectionSet',
      selections: [{
        kind: 'Field',
        name: {
          kind: 'Name',
          value: 'createUserRepository'
        },
        arguments: [{
          kind: 'Argument',
          name: {
            kind: 'Name',
            value: 'repositoryName'
          },
          value: {
            kind: 'Variable',
            name: {
              kind: 'Name',
              value: 'repositoryName'
            }
          }
        }, {
          kind: 'Argument',
          name: {
            kind: 'Name',
            value: 'orgName'
          },
          value: {
            kind: 'Variable',
            name: {
              kind: 'Name',
              value: 'orgName'
            }
          }
        }]
      }]
    }
  }]
};
/**
 * __usecreateUserRepositoryMutation__
 *
 * To run a mutation, you first call `usecreateUserRepositoryMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `usecreateUserRepositoryMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [createUserRepositoryMutation, { data, loading, error }] = usecreateUserRepositoryMutation({
 *   variables: {
 *      repositoryName: // value for 'repositoryName'
 *      orgName: // value for 'orgName'
 *   },
 * });
 */
function usecreateUserRepositoryMutation(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useMutation(createUserRepositoryDocument, options);
}
const removeMonocularRegistryDocument = {
  kind: 'Document',
  definitions: [{
    kind: 'OperationDefinition',
    operation: 'mutation',
    name: {
      kind: 'Name',
      value: 'removeMonocularRegistry'
    },
    variableDefinitions: [{
      kind: 'VariableDefinition',
      variable: {
        kind: 'Variable',
        name: {
          kind: 'Name',
          value: 'id'
        }
      },
      type: {
        kind: 'NamedType',
        name: {
          kind: 'Name',
          value: 'ID'
        }
      }
    }],
    selectionSet: {
      kind: 'SelectionSet',
      selections: [{
        kind: 'Field',
        name: {
          kind: 'Name',
          value: 'removeMonocularRegistry'
        },
        arguments: [{
          kind: 'Argument',
          name: {
            kind: 'Name',
            value: 'id'
          },
          value: {
            kind: 'Variable',
            name: {
              kind: 'Name',
              value: 'id'
            }
          }
        }],
        selectionSet: {
          kind: 'SelectionSet',
          selections: [{
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'message'
            }
          }]
        }
      }]
    }
  }]
};
/**
 * __useremoveMonocularRegistryMutation__
 *
 * To run a mutation, you first call `useremoveMonocularRegistryMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useremoveMonocularRegistryMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [removeMonocularRegistryMutation, { data, loading, error }] = useremoveMonocularRegistryMutation({
 *   variables: {
 *      id: // value for 'id'
 *   },
 * });
 */
function useremoveMonocularRegistryMutation(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useMutation(removeMonocularRegistryDocument, options);
}
const removeUserRepositoryDocument = {
  kind: 'Document',
  definitions: [{
    kind: 'OperationDefinition',
    operation: 'mutation',
    name: {
      kind: 'Name',
      value: 'removeUserRepository'
    },
    variableDefinitions: [{
      kind: 'VariableDefinition',
      variable: {
        kind: 'Variable',
        name: {
          kind: 'Name',
          value: 'repositoryId'
        }
      },
      type: {
        kind: 'NamedType',
        name: {
          kind: 'Name',
          value: 'Int'
        }
      }
    }],
    selectionSet: {
      kind: 'SelectionSet',
      selections: [{
        kind: 'Field',
        name: {
          kind: 'Name',
          value: 'removeUserRepository'
        },
        arguments: [{
          kind: 'Argument',
          name: {
            kind: 'Name',
            value: 'repositoryId'
          },
          value: {
            kind: 'Variable',
            name: {
              kind: 'Name',
              value: 'repositoryId'
            }
          }
        }]
      }]
    }
  }]
};
/**
 * __useremoveUserRepositoryMutation__
 *
 * To run a mutation, you first call `useremoveUserRepositoryMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useremoveUserRepositoryMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [removeUserRepositoryMutation, { data, loading, error }] = useremoveUserRepositoryMutation({
 *   variables: {
 *      repositoryId: // value for 'repositoryId'
 *   },
 * });
 */
function useremoveUserRepositoryMutation(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useMutation(removeUserRepositoryDocument, options);
}
const testConnectionDocument = {
  kind: 'Document',
  definitions: [{
    kind: 'OperationDefinition',
    operation: 'mutation',
    name: {
      kind: 'Name',
      value: 'testConnection'
    },
    variableDefinitions: [{
      kind: 'VariableDefinition',
      variable: {
        kind: 'Variable',
        name: {
          kind: 'Name',
          value: 'payload'
        }
      },
      type: {
        kind: 'NamedType',
        name: {
          kind: 'Name',
          value: 'IMonocularRegistry'
        }
      }
    }],
    selectionSet: {
      kind: 'SelectionSet',
      selections: [{
        kind: 'Field',
        name: {
          kind: 'Name',
          value: 'testConnection'
        },
        arguments: [{
          kind: 'Argument',
          name: {
            kind: 'Name',
            value: 'payload'
          },
          value: {
            kind: 'Variable',
            name: {
              kind: 'Name',
              value: 'payload'
            }
          }
        }]
      }]
    }
  }]
};
/**
 * __usetestConnectionMutation__
 *
 * To run a mutation, you first call `usetestConnectionMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `usetestConnectionMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [testConnectionMutation, { data, loading, error }] = usetestConnectionMutation({
 *   variables: {
 *      payload: // value for 'payload'
 *   },
 * });
 */
function usetestConnectionMutation(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useMutation(testConnectionDocument, options);
}
const updateMonocularRegistryDocument = {
  kind: 'Document',
  definitions: [{
    kind: 'OperationDefinition',
    operation: 'mutation',
    name: {
      kind: 'Name',
      value: 'updateMonocularRegistry'
    },
    variableDefinitions: [{
      kind: 'VariableDefinition',
      variable: {
        kind: 'Variable',
        name: {
          kind: 'Name',
          value: 'id'
        }
      },
      type: {
        kind: 'NonNullType',
        type: {
          kind: 'NamedType',
          name: {
            kind: 'Name',
            value: 'ID'
          }
        }
      }
    }, {
      kind: 'VariableDefinition',
      variable: {
        kind: 'Variable',
        name: {
          kind: 'Name',
          value: 'payload'
        }
      },
      type: {
        kind: 'NamedType',
        name: {
          kind: 'Name',
          value: 'IMonocularRegistry'
        }
      }
    }],
    selectionSet: {
      kind: 'SelectionSet',
      selections: [{
        kind: 'Field',
        name: {
          kind: 'Name',
          value: 'updateMonocularRegistry'
        },
        arguments: [{
          kind: 'Argument',
          name: {
            kind: 'Name',
            value: 'id'
          },
          value: {
            kind: 'Variable',
            name: {
              kind: 'Name',
              value: 'id'
            }
          }
        }, {
          kind: 'Argument',
          name: {
            kind: 'Name',
            value: 'payload'
          },
          value: {
            kind: 'Variable',
            name: {
              kind: 'Name',
              value: 'payload'
            }
          }
        }],
        selectionSet: {
          kind: 'SelectionSet',
          selections: [{
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'message'
            }
          }]
        }
      }]
    }
  }]
};
/**
 * __useupdateMonocularRegistryMutation__
 *
 * To run a mutation, you first call `useupdateMonocularRegistryMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useupdateMonocularRegistryMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [updateMonocularRegistryMutation, { data, loading, error }] = useupdateMonocularRegistryMutation({
 *   variables: {
 *      id: // value for 'id'
 *      payload: // value for 'payload'
 *   },
 * });
 */
function useupdateMonocularRegistryMutation(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useMutation(updateMonocularRegistryDocument, options);
}
const uploadDocument = {
  kind: 'Document',
  definitions: [{
    kind: 'OperationDefinition',
    operation: 'mutation',
    name: {
      kind: 'Name',
      value: 'upload'
    },
    variableDefinitions: [{
      kind: 'VariableDefinition',
      variable: {
        kind: 'Variable',
        name: {
          kind: 'Name',
          value: 'repositoryName'
        }
      },
      type: {
        kind: 'NonNullType',
        type: {
          kind: 'NamedType',
          name: {
            kind: 'Name',
            value: 'String'
          }
        }
      }
    }, {
      kind: 'VariableDefinition',
      variable: {
        kind: 'Variable',
        name: {
          kind: 'Name',
          value: 'chartfile'
        }
      },
      type: {
        kind: 'NonNullType',
        type: {
          kind: 'NamedType',
          name: {
            kind: 'Name',
            value: 'Upload'
          }
        }
      }
    }, {
      kind: 'VariableDefinition',
      variable: {
        kind: 'Variable',
        name: {
          kind: 'Name',
          value: 'provfile'
        }
      },
      type: {
        kind: 'NamedType',
        name: {
          kind: 'Name',
          value: 'Upload'
        }
      }
    }],
    selectionSet: {
      kind: 'SelectionSet',
      selections: [{
        kind: 'Field',
        name: {
          kind: 'Name',
          value: 'upload'
        },
        arguments: [{
          kind: 'Argument',
          name: {
            kind: 'Name',
            value: 'repositoryName'
          },
          value: {
            kind: 'Variable',
            name: {
              kind: 'Name',
              value: 'repositoryName'
            }
          }
        }, {
          kind: 'Argument',
          name: {
            kind: 'Name',
            value: 'chartfile'
          },
          value: {
            kind: 'Variable',
            name: {
              kind: 'Name',
              value: 'chartfile'
            }
          }
        }, {
          kind: 'Argument',
          name: {
            kind: 'Name',
            value: 'provfile'
          },
          value: {
            kind: 'Variable',
            name: {
              kind: 'Name',
              value: 'provfile'
            }
          }
        }]
      }]
    }
  }]
};
/**
 * __useuploadMutation__
 *
 * To run a mutation, you first call `useuploadMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useuploadMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [uploadMutation, { data, loading, error }] = useuploadMutation({
 *   variables: {
 *      repositoryName: // value for 'repositoryName'
 *      chartfile: // value for 'chartfile'
 *      provfile: // value for 'provfile'
 *   },
 * });
 */
function useuploadMutation(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useMutation(uploadDocument, options);
}
const getChartDetailsDocument = {
  kind: 'Document',
  definitions: [{
    kind: 'OperationDefinition',
    operation: 'query',
    name: {
      kind: 'Name',
      value: 'getChartDetails'
    },
    variableDefinitions: [{
      kind: 'VariableDefinition',
      variable: {
        kind: 'Variable',
        name: {
          kind: 'Name',
          value: 'repository'
        }
      },
      type: {
        kind: 'NonNullType',
        type: {
          kind: 'NamedType',
          name: {
            kind: 'Name',
            value: 'String'
          }
        }
      }
    }, {
      kind: 'VariableDefinition',
      variable: {
        kind: 'Variable',
        name: {
          kind: 'Name',
          value: 'chartname'
        }
      },
      type: {
        kind: 'NonNullType',
        type: {
          kind: 'NamedType',
          name: {
            kind: 'Name',
            value: 'String'
          }
        }
      }
    }, {
      kind: 'VariableDefinition',
      variable: {
        kind: 'Variable',
        name: {
          kind: 'Name',
          value: 'version'
        }
      },
      type: {
        kind: 'NonNullType',
        type: {
          kind: 'NamedType',
          name: {
            kind: 'Name',
            value: 'String'
          }
        }
      }
    }],
    selectionSet: {
      kind: 'SelectionSet',
      selections: [{
        kind: 'Field',
        name: {
          kind: 'Name',
          value: 'getChartValues'
        },
        arguments: [{
          kind: 'Argument',
          name: {
            kind: 'Name',
            value: 'repository'
          },
          value: {
            kind: 'Variable',
            name: {
              kind: 'Name',
              value: 'repository'
            }
          }
        }, {
          kind: 'Argument',
          name: {
            kind: 'Name',
            value: 'chartname'
          },
          value: {
            kind: 'Variable',
            name: {
              kind: 'Name',
              value: 'chartname'
            }
          }
        }, {
          kind: 'Argument',
          name: {
            kind: 'Name',
            value: 'version'
          },
          value: {
            kind: 'Variable',
            name: {
              kind: 'Name',
              value: 'version'
            }
          }
        }]
      }, {
        kind: 'Field',
        name: {
          kind: 'Name',
          value: 'getChartVersions'
        },
        arguments: [{
          kind: 'Argument',
          name: {
            kind: 'Name',
            value: 'repository'
          },
          value: {
            kind: 'Variable',
            name: {
              kind: 'Name',
              value: 'repository'
            }
          }
        }, {
          kind: 'Argument',
          name: {
            kind: 'Name',
            value: 'chartname'
          },
          value: {
            kind: 'Variable',
            name: {
              kind: 'Name',
              value: 'chartname'
            }
          }
        }],
        selectionSet: {
          kind: 'SelectionSet',
          selections: [{
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'name'
            }
          }, {
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'version'
            }
          }, {
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'created'
            }
          }]
        }
      }, {
        kind: 'Field',
        name: {
          kind: 'Name',
          value: 'getChartReadme'
        },
        arguments: [{
          kind: 'Argument',
          name: {
            kind: 'Name',
            value: 'repository'
          },
          value: {
            kind: 'Variable',
            name: {
              kind: 'Name',
              value: 'repository'
            }
          }
        }, {
          kind: 'Argument',
          name: {
            kind: 'Name',
            value: 'chartname'
          },
          value: {
            kind: 'Variable',
            name: {
              kind: 'Name',
              value: 'chartname'
            }
          }
        }, {
          kind: 'Argument',
          name: {
            kind: 'Name',
            value: 'version'
          },
          value: {
            kind: 'Variable',
            name: {
              kind: 'Name',
              value: 'version'
            }
          }
        }]
      }, {
        kind: 'Field',
        name: {
          kind: 'Name',
          value: 'getChartMaintainers'
        },
        arguments: [{
          kind: 'Argument',
          name: {
            kind: 'Name',
            value: 'repository'
          },
          value: {
            kind: 'Variable',
            name: {
              kind: 'Name',
              value: 'repository'
            }
          }
        }, {
          kind: 'Argument',
          name: {
            kind: 'Name',
            value: 'chartname'
          },
          value: {
            kind: 'Variable',
            name: {
              kind: 'Name',
              value: 'chartname'
            }
          }
        }, {
          kind: 'Argument',
          name: {
            kind: 'Name',
            value: 'version'
          },
          value: {
            kind: 'Variable',
            name: {
              kind: 'Name',
              value: 'version'
            }
          }
        }],
        selectionSet: {
          kind: 'SelectionSet',
          selections: [{
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'name'
            }
          }, {
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'email'
            }
          }]
        }
      }]
    }
  }]
};
/**
 * __usegetChartDetailsQuery__
 *
 * To run a query within a React component, call `usegetChartDetailsQuery` and pass it any options that fit your needs.
 * When your component renders, `usegetChartDetailsQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = usegetChartDetailsQuery({
 *   variables: {
 *      repository: // value for 'repository'
 *      chartname: // value for 'chartname'
 *      version: // value for 'version'
 *   },
 * });
 */
function usegetChartDetailsQuery(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useQuery(getChartDetailsDocument, options);
}
function usegetChartDetailsLazyQuery(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useLazyQuery(getChartDetailsDocument, options);
}
function usegetChartDetailsSuspenseQuery(baseOptions) {
  const options = baseOptions === Apollo.skipToken ? baseOptions : {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useSuspenseQuery(getChartDetailsDocument, options);
}
const chartVersionsDocument = {
  kind: 'Document',
  definitions: [{
    kind: 'OperationDefinition',
    operation: 'query',
    name: {
      kind: 'Name',
      value: 'chartVersions'
    },
    variableDefinitions: [{
      kind: 'VariableDefinition',
      variable: {
        kind: 'Variable',
        name: {
          kind: 'Name',
          value: 'repository'
        }
      },
      type: {
        kind: 'NonNullType',
        type: {
          kind: 'NamedType',
          name: {
            kind: 'Name',
            value: 'String'
          }
        }
      }
    }, {
      kind: 'VariableDefinition',
      variable: {
        kind: 'Variable',
        name: {
          kind: 'Name',
          value: 'chartname'
        }
      },
      type: {
        kind: 'NonNullType',
        type: {
          kind: 'NamedType',
          name: {
            kind: 'Name',
            value: 'String'
          }
        }
      }
    }],
    selectionSet: {
      kind: 'SelectionSet',
      selections: [{
        kind: 'Field',
        name: {
          kind: 'Name',
          value: 'getChartVersions'
        },
        arguments: [{
          kind: 'Argument',
          name: {
            kind: 'Name',
            value: 'repository'
          },
          value: {
            kind: 'Variable',
            name: {
              kind: 'Name',
              value: 'repository'
            }
          }
        }, {
          kind: 'Argument',
          name: {
            kind: 'Name',
            value: 'chartname'
          },
          value: {
            kind: 'Variable',
            name: {
              kind: 'Name',
              value: 'chartname'
            }
          }
        }],
        selectionSet: {
          kind: 'SelectionSet',
          selections: [{
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'name'
            }
          }, {
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'version'
            }
          }, {
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'created'
            }
          }]
        }
      }]
    }
  }]
};
/**
 * __usechartVersionsQuery__
 *
 * To run a query within a React component, call `usechartVersionsQuery` and pass it any options that fit your needs.
 * When your component renders, `usechartVersionsQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = usechartVersionsQuery({
 *   variables: {
 *      repository: // value for 'repository'
 *      chartname: // value for 'chartname'
 *   },
 * });
 */
function usechartVersionsQuery(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useQuery(chartVersionsDocument, options);
}
function usechartVersionsLazyQuery(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useLazyQuery(chartVersionsDocument, options);
}
function usechartVersionsSuspenseQuery(baseOptions) {
  const options = baseOptions === Apollo.skipToken ? baseOptions : {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useSuspenseQuery(chartVersionsDocument, options);
}
const getChartDocument = {
  kind: 'Document',
  definitions: [{
    kind: 'OperationDefinition',
    operation: 'query',
    name: {
      kind: 'Name',
      value: 'getChart'
    },
    variableDefinitions: [{
      kind: 'VariableDefinition',
      variable: {
        kind: 'Variable',
        name: {
          kind: 'Name',
          value: 'repository'
        }
      },
      type: {
        kind: 'NonNullType',
        type: {
          kind: 'NamedType',
          name: {
            kind: 'Name',
            value: 'String'
          }
        }
      }
    }, {
      kind: 'VariableDefinition',
      variable: {
        kind: 'Variable',
        name: {
          kind: 'Name',
          value: 'chartname'
        }
      },
      type: {
        kind: 'NonNullType',
        type: {
          kind: 'NamedType',
          name: {
            kind: 'Name',
            value: 'String'
          }
        }
      }
    }, {
      kind: 'VariableDefinition',
      variable: {
        kind: 'Variable',
        name: {
          kind: 'Name',
          value: 'version'
        }
      },
      type: {
        kind: 'NonNullType',
        type: {
          kind: 'NamedType',
          name: {
            kind: 'Name',
            value: 'String'
          }
        }
      }
    }],
    selectionSet: {
      kind: 'SelectionSet',
      selections: [{
        kind: 'Field',
        name: {
          kind: 'Name',
          value: 'getChart'
        },
        arguments: [{
          kind: 'Argument',
          name: {
            kind: 'Name',
            value: 'repository'
          },
          value: {
            kind: 'Variable',
            name: {
              kind: 'Name',
              value: 'repository'
            }
          }
        }, {
          kind: 'Argument',
          name: {
            kind: 'Name',
            value: 'chartname'
          },
          value: {
            kind: 'Variable',
            name: {
              kind: 'Name',
              value: 'chartname'
            }
          }
        }, {
          kind: 'Argument',
          name: {
            kind: 'Name',
            value: 'version'
          },
          value: {
            kind: 'Variable',
            name: {
              kind: 'Name',
              value: 'version'
            }
          }
        }],
        selectionSet: {
          kind: 'SelectionSet',
          selections: [{
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'total_versions'
            }
          }, {
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'name'
            }
          }, {
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'latest_version'
            }
          }, {
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'created'
            }
          }, {
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'updated'
            }
          }, {
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'icon'
            }
          }, {
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'home'
            }
          }, {
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'deprecated'
            }
          }]
        }
      }]
    }
  }]
};
/**
 * __usegetChartQuery__
 *
 * To run a query within a React component, call `usegetChartQuery` and pass it any options that fit your needs.
 * When your component renders, `usegetChartQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = usegetChartQuery({
 *   variables: {
 *      repository: // value for 'repository'
 *      chartname: // value for 'chartname'
 *      version: // value for 'version'
 *   },
 * });
 */
function usegetChartQuery(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useQuery(getChartDocument, options);
}
function usegetChartLazyQuery(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useLazyQuery(getChartDocument, options);
}
function usegetChartSuspenseQuery(baseOptions) {
  const options = baseOptions === Apollo.skipToken ? baseOptions : {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useSuspenseQuery(getChartDocument, options);
}
const getChartsDocument = {
  kind: 'Document',
  definitions: [{
    kind: 'OperationDefinition',
    operation: 'query',
    name: {
      kind: 'Name',
      value: 'getCharts'
    },
    variableDefinitions: [{
      kind: 'VariableDefinition',
      variable: {
        kind: 'Variable',
        name: {
          kind: 'Name',
          value: 'repository'
        }
      },
      type: {
        kind: 'NonNullType',
        type: {
          kind: 'NamedType',
          name: {
            kind: 'Name',
            value: 'String'
          }
        }
      }
    }],
    selectionSet: {
      kind: 'SelectionSet',
      selections: [{
        kind: 'Field',
        name: {
          kind: 'Name',
          value: 'getCharts'
        },
        arguments: [{
          kind: 'Argument',
          name: {
            kind: 'Name',
            value: 'repository'
          },
          value: {
            kind: 'Variable',
            name: {
              kind: 'Name',
              value: 'repository'
            }
          }
        }],
        selectionSet: {
          kind: 'SelectionSet',
          selections: [{
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'total_versions'
            }
          }, {
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'name'
            }
          }, {
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'latest_version'
            }
          }, {
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'created'
            }
          }, {
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'updated'
            }
          }, {
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'icon'
            }
          }, {
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'home'
            }
          }, {
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'deprecated'
            }
          }]
        }
      }]
    }
  }]
};
/**
 * __usegetChartsQuery__
 *
 * To run a query within a React component, call `usegetChartsQuery` and pass it any options that fit your needs.
 * When your component renders, `usegetChartsQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = usegetChartsQuery({
 *   variables: {
 *      repository: // value for 'repository'
 *   },
 * });
 */
function usegetChartsQuery(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useQuery(getChartsDocument, options);
}
function usegetChartsLazyQuery(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useLazyQuery(getChartsDocument, options);
}
function usegetChartsSuspenseQuery(baseOptions) {
  const options = baseOptions === Apollo.skipToken ? baseOptions : {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useSuspenseQuery(getChartsDocument, options);
}
const getAllMonocularRegistriesDocument = {
  kind: 'Document',
  definitions: [{
    kind: 'OperationDefinition',
    operation: 'query',
    name: {
      kind: 'Name',
      value: 'getAllMonocularRegistries'
    },
    selectionSet: {
      kind: 'SelectionSet',
      selections: [{
        kind: 'Field',
        name: {
          kind: 'Name',
          value: 'allMonocularRegistries'
        },
        selectionSet: {
          kind: 'SelectionSet',
          selections: [{
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'id'
            }
          }, {
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'name'
            }
          }, {
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'url'
            }
          }, {
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'description'
            }
          }, {
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'type'
            }
          }]
        }
      }]
    }
  }]
};
/**
 * __usegetAllMonocularRegistriesQuery__
 *
 * To run a query within a React component, call `usegetAllMonocularRegistriesQuery` and pass it any options that fit your needs.
 * When your component renders, `usegetAllMonocularRegistriesQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = usegetAllMonocularRegistriesQuery({
 *   variables: {
 *   },
 * });
 */
function usegetAllMonocularRegistriesQuery(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useQuery(getAllMonocularRegistriesDocument, options);
}
function usegetAllMonocularRegistriesLazyQuery(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useLazyQuery(getAllMonocularRegistriesDocument, options);
}
function usegetAllMonocularRegistriesSuspenseQuery(baseOptions) {
  const options = baseOptions === Apollo.skipToken ? baseOptions : {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useSuspenseQuery(getAllMonocularRegistriesDocument, options);
}
const repositoriesDocument = {
  kind: 'Document',
  definitions: [{
    kind: 'OperationDefinition',
    operation: 'query',
    name: {
      kind: 'Name',
      value: 'repositories'
    },
    selectionSet: {
      kind: 'SelectionSet',
      selections: [{
        kind: 'Field',
        name: {
          kind: 'Name',
          value: 'repositories'
        },
        selectionSet: {
          kind: 'SelectionSet',
          selections: [{
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'project_id'
            }
          }, {
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'name'
            }
          }]
        }
      }]
    }
  }]
};
/**
 * __userepositoriesQuery__
 *
 * To run a query within a React component, call `userepositoriesQuery` and pass it any options that fit your needs.
 * When your component renders, `userepositoriesQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = userepositoriesQuery({
 *   variables: {
 *   },
 * });
 */
function userepositoriesQuery(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useQuery(repositoriesDocument, options);
}
function userepositoriesLazyQuery(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useLazyQuery(repositoriesDocument, options);
}
function userepositoriesSuspenseQuery(baseOptions) {
  const options = baseOptions === Apollo.skipToken ? baseOptions : {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useSuspenseQuery(repositoriesDocument, options);
}
const userRepositoriesDocument = {
  kind: 'Document',
  definitions: [{
    kind: 'OperationDefinition',
    operation: 'query',
    name: {
      kind: 'Name',
      value: 'userRepositories'
    },
    variableDefinitions: [{
      kind: 'VariableDefinition',
      variable: {
        kind: 'Variable',
        name: {
          kind: 'Name',
          value: 'orgName'
        }
      },
      type: {
        kind: 'NamedType',
        name: {
          kind: 'Name',
          value: 'String'
        }
      }
    }],
    selectionSet: {
      kind: 'SelectionSet',
      selections: [{
        kind: 'Field',
        name: {
          kind: 'Name',
          value: 'userRepositories'
        },
        arguments: [{
          kind: 'Argument',
          name: {
            kind: 'Name',
            value: 'orgName'
          },
          value: {
            kind: 'Variable',
            name: {
              kind: 'Name',
              value: 'orgName'
            }
          }
        }],
        selectionSet: {
          kind: 'SelectionSet',
          selections: [{
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'project_id'
            }
          }, {
            kind: 'Field',
            name: {
              kind: 'Name',
              value: 'name'
            }
          }]
        }
      }]
    }
  }]
};
/**
 * __useuserRepositoriesQuery__
 *
 * To run a query within a React component, call `useuserRepositoriesQuery` and pass it any options that fit your needs.
 * When your component renders, `useuserRepositoriesQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useuserRepositoriesQuery({
 *   variables: {
 *      orgName: // value for 'orgName'
 *   },
 * });
 */
function useuserRepositoriesQuery(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useQuery(userRepositoriesDocument, options);
}
function useuserRepositoriesLazyQuery(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useLazyQuery(userRepositoriesDocument, options);
}
function useuserRepositoriesSuspenseQuery(baseOptions) {
  const options = baseOptions === Apollo.skipToken ? baseOptions : {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useSuspenseQuery(userRepositoriesDocument, options);
}export{chartVersionsDocument,createDockerRegistryDocument,createMonocularRegistryDocument,createUserRepositoryDocument,dockerCatalogDocument,dockerRegistryCatalogDocument,getAllDockerRegistriesDocument,getAllMonocularRegistriesDocument,getChartDetailsDocument,getChartDocument,getChartsDocument,removeDockerRegistryDocument,removeMonocularRegistryDocument,removeUserRepositoryDocument,repositoriesDocument,tagsDocument,testConnectionDocument,updateDockerRegistryDocument,updateMonocularRegistryDocument,uploadDocument,usechartVersionsLazyQuery,usechartVersionsQuery,usechartVersionsSuspenseQuery,usecreateDockerRegistryMutation,usecreateMonocularRegistryMutation,usecreateUserRepositoryMutation,usedockerCatalogLazyQuery,usedockerCatalogQuery,usedockerCatalogSuspenseQuery,usedockerRegistryCatalogLazyQuery,usedockerRegistryCatalogQuery,usedockerRegistryCatalogSuspenseQuery,usegetAllDockerRegistriesLazyQuery,usegetAllDockerRegistriesQuery,usegetAllDockerRegistriesSuspenseQuery,usegetAllMonocularRegistriesLazyQuery,usegetAllMonocularRegistriesQuery,usegetAllMonocularRegistriesSuspenseQuery,usegetChartDetailsLazyQuery,usegetChartDetailsQuery,usegetChartDetailsSuspenseQuery,usegetChartLazyQuery,usegetChartQuery,usegetChartSuspenseQuery,usegetChartsLazyQuery,usegetChartsQuery,usegetChartsSuspenseQuery,userRepositoriesDocument,useremoveDockerRegistryMutation,useremoveMonocularRegistryMutation,useremoveUserRepositoryMutation,userepositoriesLazyQuery,userepositoriesQuery,userepositoriesSuspenseQuery,usetagsLazyQuery,usetagsQuery,usetagsSuspenseQuery,usetestConnectionMutation,useupdateDockerRegistryMutation,useupdateMonocularRegistryMutation,useuploadMutation,useuserRepositoriesLazyQuery,useuserRepositoriesQuery,useuserRepositoriesSuspenseQuery};//# sourceMappingURL=generated.js.map
